package net.peachjean.guice.resteasy;

import org.jboss.resteasy.plugins.server.servlet.ConfigurationBootstrap;

import java.net.URL;
import java.util.Map;
import java.util.Set;

class GuiceResteasyConfigurationBootstrap extends ConfigurationBootstrap {

	private Map<String, String> parameters;
	private Map<String, String> initParameters;

	public GuiceResteasyConfigurationBootstrap(Map<String, String> parameters, Map<String, String> initParameters) {
		this.parameters = parameters;
		this.initParameters = initParameters;
	}

	@Override
	public URL[] getScanningUrls() {
		return new URL[0];
	}

	@Override
	public String getParameter(String name) {
		return parameters.get(name);
	}

	@Override
	public Set<String> getParameterNames() {
		return parameters.keySet();
	}

	@Override
	public String getInitParameter(String name) {
		return initParameters.get(name);
	}

	@Override
	public Set<String> getInitParameterNames() {
		return initParameters.keySet();
	}
}
